/*
 * Copyright 2017 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.cloud.resourcemanager;

import static org.junit.Assert.fail;

import com.google.cloud.TransportOptions;
import org.easymock.EasyMock;
import org.junit.Test;

public class ResourceManagerOptionsTest {

  @Test
  public void testInvalidTransport() {
    try {
      ResourceManagerOptions.newBuilder()
          .setTransportOptions(EasyMock.<TransportOptions>createMock(TransportOptions.class));
      fail();
    } catch (IllegalArgumentException expected) {
    }
  }
}
